"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_error_1 = require("./base.error");
var common_1 = require("./common");
var ChaincodeInitializationError = (function (_super) {
    tslib_1.__extends(ChaincodeInitializationError, _super);
    function ChaincodeInitializationError(original) {
        var _this = _super.call(this) || this;
        _this.original = original;
        _this.code = 'CC_INIT_ERR';
        _this.description = 'There was a problem while starting the chaincode';
        _this.explanation = "\n    " + common_1.chaincodeSideMessage;
        _this.message = _super.prototype.getMessage.call(_this, _super.prototype.getOriginal.call(_this));
        return _this;
    }
    return ChaincodeInitializationError;
}(base_error_1.BaseError));
exports.ChaincodeInitializationError = ChaincodeInitializationError;
var ChaincodeInvokationError = (function (_super) {
    tslib_1.__extends(ChaincodeInvokationError, _super);
    function ChaincodeInvokationError(original) {
        var _this = _super.call(this) || this;
        _this.original = original;
        _this.code = 'CC_IVK_ERR';
        _this.description = 'There was a problem while invoking the chaincode';
        _this.explanation = "\n    " + common_1.chaincodeSideMessage;
        _this.message = _super.prototype.getMessage.call(_this, _super.prototype.getOriginal.call(_this));
        return _this;
    }
    return ChaincodeInvokationError;
}(base_error_1.BaseError));
exports.ChaincodeInvokationError = ChaincodeInvokationError;
var ChaincodeInvalidTransientError = (function (_super) {
    tslib_1.__extends(ChaincodeInvalidTransientError, _super);
    function ChaincodeInvalidTransientError(original, value) {
        var _this = _super.call(this) || this;
        _this.original = original;
        _this.value = value;
        _this.code = 'CC_INV_TRANS_ERR';
        _this.description = 'Invalid transient value for function';
        _this.explanation = "\n    There was an error while trying to parse the transient data using value " + _this.value + "\n    " + common_1.chaincodeSideMessage;
        _this.message = _super.prototype.getMessage.call(_this, _super.prototype.getOriginal.call(_this));
        return _this;
    }
    return ChaincodeInvalidTransientError;
}(base_error_1.BaseError));
exports.ChaincodeInvalidTransientError = ChaincodeInvalidTransientError;
//# sourceMappingURL=chaincode.errors.js.map