"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_error_1 = require("./base.error");
var ClientResponseError = (function (_super) {
    tslib_1.__extends(ClientResponseError, _super);
    function ClientResponseError(responses) {
        var _this = _super.call(this) || this;
        _this.responses = responses;
        _this.code = 'CLIENT_RES_ERR';
        _this.description = 'There was a problem while invoking the chaincode';
        _this.explanation = "Chaincode error, this is a wrapper around the responses";
        var firstResWithErr = responses.find(function (res) { return res.error; });
        _this.message = _super.prototype.getMessage.call(_this, firstResWithErr ?
            firstResWithErr.error instanceof Error ?
                firstResWithErr.error.stack :
                JSON.stringify(firstResWithErr.error) :
            _this.getOriginal());
        return _this;
    }
    return ClientResponseError;
}(base_error_1.BaseError));
exports.ClientResponseError = ClientResponseError;
//# sourceMappingURL=client.errors.js.map