import { BaseError } from './base.error';
export declare class ControllerImportError extends BaseError {
    original: Error;
    pkg: string;
    code: string;
    description: string;
    explanation: string;
    constructor(original: Error, pkg: string);
}
export declare class ControllerMissingError extends BaseError {
    pkg: string;
    ctrl: string;
    code: string;
    description: string;
    explanation: string;
    constructor(pkg: string, ctrl: string);
}
export declare class ControllerNamespaceMissingError extends BaseError {
    original: Error;
    ctrl: string;
    code: string;
    description: string;
    explanation: string;
    constructor(original: Error, ctrl: string);
}
export declare class ControllerInstantiationError extends BaseError {
    original: Error;
    ctrl: string;
    code: string;
    description: string;
    explanation: string;
    constructor(original: Error, ctrl: string);
}
export declare class ControllerInvokablesMissingError extends BaseError {
    original: Error;
    ctrl: string;
    code: string;
    description: string;
    explanation: string;
    constructor(original: Error, ctrl: string);
}
export declare class ControllerInvalidError extends BaseError {
    ctrl: string;
    code: string;
    description: string;
    explanation: string;
    constructor(ctrl: string);
}
export declare class ControllerInvalidInvokeError extends BaseError {
    fn: string;
    args: number;
    schemas: number;
    code: string;
    description: string;
    explanation: string;
    constructor(fn: string, args?: number, schemas?: number);
}
export declare class ControllerUndefinedArgumentError extends BaseError {
    index: number;
    code: string;
    description: string;
    explanation: string;
    constructor(index: number);
}
export declare class ControllerInvalidArgumentError extends BaseError {
    original: Error;
    index: number;
    value: string;
    code: string;
    description: string;
    explanation: string;
    constructor(original: Error, index: number, value: string);
}
export declare class ControllerArgumentParseError extends BaseError {
    original: Error;
    index: number;
    value: string;
    code: string;
    description: string;
    explanation: string;
    constructor(original: Error, index: number, value: string);
}
export declare class ControllerInvalidFunctionError extends BaseError {
    code: string;
    description: string;
    explanation: string;
    constructor();
}
