"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var InvalidIdError = (function (_super) {
    tslib_1.__extends(InvalidIdError, _super);
    function InvalidIdError() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = 'InvalidIdError';
        _this.message = 'Invalid or missing id. You either provided an invalid ID or did not sent one';
        return _this;
    }
    InvalidIdError.test = function (id) {
        if (!id) {
            throw new InvalidIdError();
        }
    };
    return InvalidIdError;
}(Error));
exports.InvalidIdError = InvalidIdError;
var IdNotFoundError = (function (_super) {
    tslib_1.__extends(IdNotFoundError, _super);
    function IdNotFoundError() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = 'IdNotFoundError';
        _this.message = 'ID not found. The ID you were using was not found in the storage';
        return _this;
    }
    IdNotFoundError.test = function (content) {
        if (content === undefined || content === null) {
            throw new IdNotFoundError();
        }
    };
    return IdNotFoundError;
}(Error));
exports.IdNotFoundError = IdNotFoundError;
//# sourceMappingURL=id.errors.js.map